PRAYER-SESSION(8)

NAME
prayer-session - Prayer user session backend daemon

SYNOPSIS
prayer-session [--config-file file] [[--config-option name=value] ...] [--foreground]

DESCRIPTION
prayer-session is the backend process in the Prayer Webmail system. A fresh prayer-session backend is forked off whenever a user logs in.

This process contains all of the permanent state associated with that login session including one or more connections to a IMAP server and possibly connections to accountd servers. prayer-session communicates with the user using HTML over HTTP connections via the prayer(8) proxy. Each login has a session ID that the front end processes use to find the correct backend.

Backend server processes move into a dormant state after a certain period of inactivity, shutting down IMAP and accountd connections which can be easily resuscitated when the session wakes up. After a long period of inactivity, typically several hours the session process shuts down.

prayer-session accepts the following command-line options:

--config-file file
    Reads configuration from file instead of the default /etc/prayer/prayer.cf.

--config-option name=value
    Sets (overrides) the configuration option name to value. Any number of options can be specified in this manner.

--foreground
    Debug mode. Run a single process in the foreground.

ENVIRONMENT

PRAYER_CONFIG_FILE
    Can be set to specify the configuration file to use. The --config-file option takes precedence over this variable.

PRAYER_HOSTNAME
    Local hostname. Overrides the hostname setting in the configuration file as well as on the command line.

FILES

/usr/local/prayer/etc/prayer.cf
    Default configuration file.

/usr/local/prayer/templates/
    Location of standard templates. The templates are compiled into prayer-session for performance reasons, so the template files are actually not used, but they are available for customization.

SEE ALSO
prayer(8), prayer.cf(5)

AUTHORS
This manual page was put together by Magnus Holmgren <holmgren@debian.org> using documentation written by David Carter <dpc22@cam.ac.uk>.